Skip to content
Install

Get the logs of one step of a run (live tail while running)

GET
/job-runs/{runId}/steps/{order}/logs
curl --request GET \
--url https://example.com/job-runs/example/steps/example/logs \
--header 'Authorization: Bearer <token>'

Auth: authenticated

runId
required
string
order
required
string

OK

Media typeapplication/json
object
live
required

True when the step is running and this is a live tail

boolean
logs
required
string
truncated
required
boolean
key
additional properties

Example generated

{
"live": true,
"logs": "example",
"truncated": true
}